- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_socket_t

# mongoc_socket_errno()

## Synopsis

    int
    mongoc_socket_errno (mongoc_socket_t *sock);

## Parameters

- `sock`: A mongoc_socket_t.

## Description

This function returns the currently captured `errno` for a socket. This may be useful to check was the last errno was after another function call has been made that clears the threads errno variable.

## Returns

0 if there is no error, otherwise a specific errno.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.